您现在的位置: 开发 > Flutter插件 > 更新日志

更新日志 最后更新时间: 2021年11月23日

定位Flutter插件 V3.0.0              2021-11-23     

  • 增加更新隐私合规updatePrivacyShow、updatePrivacyAgree
  • 注意:updatePrivacyShow、updatePrivacyAgree需要在调用所有的定位接口之前调用
  • 高德SDK合规使用方案请参考:https://lbs.amap.com/news/sdkhgsy
  • 适配高德定位SDK 5.6.0及以后版本

定位Flutter插件 V2.0.0              2021-04-21

  • 支持Flutter 2.0.0以上版本
  • 升级支持null-safety

定位Flutter插件 V1.0.1              2021-01-27  

  • 修复定位插件中新增的iOS14的API在Xcode12之前编译失败的问题
  • 修复iOS端动态库依赖静态库导致的pod install失败问题

定位Flutter插件 V1.0.0              2020-12-22     

高德定位Flutter插件上线,支持获取经纬度、地址、位置描述等基本定位信息

地图Flutter插件 V3.0.0              2021-11-23      

  • AMapWidget初始化时需要传入高德隐私合规配置参数privacyStatement
  • 高德SDK合规使用方案请参考:https://lbs.amap.com/news/sdkhgsy
  • 适配高德地图SDK 8.1.0及以后版本

地图Flutter插件 V2.0.2              2021-08-19   

  • 修复在初始化地图时添加的Marker无法点击、移除的问题
  • 修复在初始化地图时添加的Polyline无法点击、移除、修改的问题
  • 修复在初始化地图时添加的Polygon无法点击、移除、修改的问题

地图Flutter插件 V2.0.1              2021-04-21      

  • 支持Flutter 2.0.0以上版本
  • 升级支持null-safety
  • 修复2.0版本自定义地图样式不生效的问题

地图Flutter插件 V2.0.0              2021-04-21      

  • 支持Flutter 2.0.0以上版本
  • 升级支持null-safety

地图Flutter插件 V1.0.2              2021-02-02    

debug模式,Android native端输出调试日志,方便排查问题。


地图Flutter插件 V1.0.1              2021-01-27      

修复iOS端动态库依赖静态库导致的pod install失败问题。


地图Flutter插件 V1.0.0              2020-12-31      

高德地图Flutter插件支持实现基础地图功能、包括不同类型的地图、与地图的交互、地图覆盖物绘制和计算工具等

示例
中心
常见
问题
智能
客服